AC_PREREQ([2.71])

AC_INIT([guess],[0.0.1],[ruro.report@ya.ru])
AC_CONFIG_AUX_DIR([build-aux])

AM_INIT_AUTOMAKE([1.16 subdir-objects foreign -Wall -Werror])
AM_SILENT_RULES([yes])

DX_DOT_FEATURE(ON)
DX_PS_FEATURE(OFF)
DX_PDF_FEATURE(OFF)
DX_INIT_DOXYGEN([$PACKAGE])

AM_GNU_GETTEXT([external])
AM_GNU_GETTEXT_REQUIRE_VERSION(0.21)
GETTEXT_PACKAGE=$PACKAGE
AC_SUBST(GETTEXT_PACKAGE)

AC_PROG_CC
AM_MISSING_PROG(COL, col)
AM_MISSING_PROG(HELP2MAN, help2man)
AM_MISSING_PROG(PRINTF, printf)
AM_MISSING_PROG(ROFF2TEXT, roff2text)

AC_CHECK_LIB([readline], [add_history,readline], [], [AC_MSG_ERROR([Readline is required])])
AC_CONFIG_HEADERS([src/config.h])

AC_CHECK_FUNCS([setlocale])
AC_CHECK_FUNCS([strcasecmp])
AC_CHECK_FUNCS([strtol])
AC_CHECK_HEADERS([argp.h])
AC_CHECK_HEADERS([libintl.h])
AC_CHECK_HEADERS([strings.h])
AC_CHECK_HEADER_STDBOOL
AC_FUNC_MALLOC
AC_TYPE_SIZE_T

AC_CONFIG_FILES([Makefile po/Makefile.in Doxyfile])
AC_OUTPUT
